io.undertow.util

## Class PathTemplateMatcher.PathMatchResult<T>

- java.lang.Object
- - io.undertow.util.PathTemplateMatch
  - - io.undertow.util.PathTemplateMatcher.PathMatchResult<T>

Enclosing class:
  PathTemplateMatcher<T>

    public static class PathTemplateMatcher.PathMatchResult<T>
    extends PathTemplateMatch

### Field Summary

### Fields inherited from class io.undertow.util.PathTemplateMatch

`ATTACHMENT_KEY`

### Constructor Summary

Constructors
Constructor and Description
`PathMatchResult(Map<String,String> parameters, String matchedTemplate, T value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getValue()`

### Methods inherited from class io.undertow.util.PathTemplateMatch

`getMatchedTemplate, getParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathMatchResult

    public PathMatchResult(Map<String,String> parameters,
                           String matchedTemplate,
                           T value)

### Method Detail

#### getValue

    public T getValue()